---
sidebar_label: ConsoleMessageLocation
---

# ConsoleMessageLocation interface

**Signature:**

```typescript
export interface ConsoleMessageLocation
```

## Properties

| Property                                                            | Modifiers | Type   | Description                                                                                           |
| ------------------------------------------------------------------- | --------- | ------ | ----------------------------------------------------------------------------------------------------- |
| [columnNumber?](./puppeteer.consolemessagelocation.columnnumber.md) |           | number | <i>(Optional)</i> 0-based column number in the resource if known or <code>undefined</code> otherwise. |
| [lineNumber?](./puppeteer.consolemessagelocation.linenumber.md)     |           | number | <i>(Optional)</i> 0-based line number in the resource if known or <code>undefined</code> otherwise.   |
| [url?](./puppeteer.consolemessagelocation.url.md)                   |           | string | <i>(Optional)</i> URL of the resource if known or <code>undefined</code> otherwise.                   |
